
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>c++用关于const变量的疑问 / iVAN</title>

    <meta name="description" content="c++用关于const变量的疑问 问题描述 c++用关于const变量的疑问 首先看下面一段代码: #include &lt;iostream&gt; using namespace std; int main() { const int i = 10; int *pi = const_cast&lt;int *&gt;(&amp;i); ++*pi; cout &lt;&lt; &quot; i = &quot; &lt;&lt; i &lt;&lt; &quot;, @&quot; &lt;&lt; &amp;i &lt;& ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">c++用关于const变量的疑问</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>问题描述</h1>
<dl>
<dt>c++用关于const变量的疑问
        </dt>
<dd>
          <br />首先看下面一段代码：</p>
<pre><code> #include &lt;iostream&gt;

using namespace std;

int
main()
{
    const int i = 10;

    int *pi = const_cast&lt;int *&gt;(&amp;i);
    ++*pi;
    cout &lt;&lt; "  i = " &lt;&lt; i &lt;&lt; ", @" &lt;&lt; &amp;i &lt;&lt; endl;
    cout &lt;&lt; "*pi = " &lt;&lt; *pi &lt;&lt; ", @" &lt;&lt; pi &lt;&lt; endl;

}
</code></pre>
<p>运行结果是：</p>
<pre><code>i = 10, @0x28ff44
</code></pre>
<p>*pi = 11, @0x28ff44</p>
<p>我想问的是，变量 i 的值到底有没有被改变？问什么同一个地址输出的值不一样？</p>
</dd>
</dl>
<h1>解决方案</h1>
<p>这里是编译器决定的，你用VS2008调试就会发现，i的值在调试窗口里都是变化了的。但是const表示的是一个常量，不可变的，如果用const-cast又可将它改变，就自相矛盾了。<br />
于是编译器采取了一种方案，在汇编里可以看出端倪：</p>
<pre><code>    cout &lt;&lt; "  i = " &lt;&lt; i &lt;&lt; ", @" &lt;&lt; &amp;i &lt;&lt; endl;
004142B8  mov         esi,esp
004142BA  mov         eax,dword ptr [__imp_std::endl (41A348h)]
004142BF  push        eax
004142C0  mov         edi,esp
004142C2  lea         ecx,[i]
004142C5  push        ecx
004142C6  push        offset string ", @" (417880h)
004142CB  mov         ebx,esp
004142CD  push        0Ah
004142CF  push        offset string "  i = " (417878h)
004142D4  mov         edx,dword ptr [__imp_std::cout (41A34Ch)]
004142DA  push        edx
</code></pre>
<p>10是直接使用的（见上面的push 0Ah），并不是按我们的惯性思维从地址里去取的。</p>
<p>解决方案二：<br />
    <br />如果在 i 的定义前增加 volatile ，则可以看到最后的输入结果: i =11；</p>
<p>{<br /><strong>volatile</strong> const int i = 10;</p>
<pre><code>    int *pi = const_cast&lt;int *&gt;(&amp;i);
    ++*pi;
    TRACE("i = %d;@i = 0x%xrn",i,&amp;i);
    TRACE("pi = %d,@pi = 0x%xrn",*pi,pi);

    TRACE("rn");
}

输出为：
i = 11;@i = 0x12edb0
</code></pre>
<p>pi = 11,@pi = 0x12edb0<br />
以上为 VS2005 编译、运行的结果。</p>
<p>解决方案三：<br />
    <br />const_cast并不允许修改原来的常量值，c++里const_cast转换一个常量值的结果是未定义，i的值并不会改变，而pi里的值是个随机的值</p>
<p>解决方案四：<br />
    <br />从 VS2008 编译器的内存来看，这个地址 0x28ff44 的值已经是 11 了。</p>
<p>应该是 VS2008 等 编译器做了处理，i 是不可变的，在输出 i 时并没有从内存中去读取数据。</p>
<p>解决方案五：<br />
    <br />变量i的值应该是不变的吧</p>
<p>解决方案六：<br />
    <br />你的i地址发生了强制转换了。。。</p>
<p>解决方案七：<br />
    <br />我将程序在vs2012和g++上都试了，它们结果一样的。很明显我们可以肯定，使用const_cast可以返回一个非常量指针指向常量。<br />
并且可以改变常量的值，即原来存放该常量的地址的内容被改变。要确保不出错就应该使用对返回的指针的解引用，而不要再去使用原来存放常量的那个变量（常量）。</p>
<p>解决方案八：<br />
    <br />如果const int i = 10；定义成全局的，或前缀static。您再如此这般的试一试。嘿嘿！</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 07:00:58</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/const/" title="const">const</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>c++用关于const变量的疑问的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z42939M.html" rel="bookmark">求C语言高手解惑，一个关于const变量定义数组大小问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 求C语言高手解惑,一个关于const变量定义数组大小问题 我在函数的外部定义了一个BlockSize,然后又定义了一个结构(两者都是在函数外部).编译的时候,出现一个error.提示说:variably modified 'array' at file scope const int BlockSize = 20;//define BlockSize 20typedef struct _node { int array[BlockSize]; struct _node* next;}N			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boLaxXM.html" rel="bookmark">浅谈const变量赋值报错分析&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				从变量到常量的赋值是合法C++的语法约定的, 如从char 到const char顺畅: 但从char **到 const char **编译器就会报错: 复制代码 代码如下: error: invalid conversion from `char**' to `const char**' 示例: int main(int argc, char *argv[]) { char a = '1'; const char b = a; char * a2 = &quot;12345&quot;; const			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVmWBkp.html" rel="bookmark">关于C&sol;C&plus;&plus; const变量 const指针 以及C&plus;&plus; 引用变量的解析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 关于C/C++ const变量 const指针 以及C++ 引用变量的解析    首先我们知道const表示一个不能更改的值,在程序中往往使用这种属性来保证安全,但是这种操作在C和C++中却不同  我测试中C++不能用MEMCPY进行更改但是C却可以  其中我们常见的  const int a = 10;一个常量,不能更改其a的值  const int *p1;一个指针但是他的返回值是const int类型  如我们可以  p = &amp;a;  int* const p;一个指针,这个指针在整个生			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxYLjmp.html" rel="bookmark">c&plus;&plus;中const变量问题的简单分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				常变量:  const 类型说明符 变量名 常引用:  const 类型说明符 &amp;引用名 常对象:  类名 const 对象名 常成员函数:  类名::fun(形参) const 常数组:  类型说明符 const 数组名[大小]    常指针:  const 类型说明符* 指针名 ,类型说明符* const 指针名 首先提示的是:在常变量(const 类型说明符 变量名).常引用(const 类型说明符 &amp;引用名).常对象(类名 const 对象名). 常数组(类型说明符 const 数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9YPwKM.html" rel="bookmark">const的相关，修改定义的变量</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 const的相关,修改定义的变量 const int a;与const int*piint *const pi;是不是不一样啊,前面的那个a的值不能通过a=8:和pi=&amp;a的形式来修改吧,但是后面的那2个可以通过这两种中的一种修改的把,比如const int*pi中,不能对*pi进行修改,但是可以对pi进行重新赋值啊,这样不就间接改了*pi了吗,是这样的吗 解决方案 const int * pi 和const char * p是一样的,都是说明不能直接对指针指向的地址赋值,而可以修改指			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXwOd4M.html" rel="bookmark">const extern static</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				const const最好理解,修饰的东西不能被修改 指针类型根据位置的不同可以理解成3种情况: I 常量指针 // 初始化之后不能赋值,指向的对象可以是任意对象,对象可变. NSString * const pt1; II 指向常量的指针 // 初始化之后可以赋值,即指向别的常量,指针本身的值可以修改,指向的值不能修改 const NSString * pt2; III 指向常量的常量指针 const NSString *  const pt3; extern 等同于c,全局变量的定义, //			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My3kO4z.html" rel="bookmark">strcpy-自己对一个const定义的数组不能更改，用库函数却能进行相应操作，</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 自己对一个const定义的数组不能更改,用库函数却能进行相应操作, 自己对一个const定义的数组不能更改,用库函数却能进行相应操作,比如strcpy(),其实现也是一个个赋值的,为什么自己用赋值语句就不行呢?有点疑问,没搞清楚,请大侠帮小弟解解惑,感激不尽. 前提我是知道const的含义的,知道其用法的. 解决方案 http://blog.csdn.net/heyabo/article/details/8745942根据C++标准,对于修改const变量,属于:未定义行为(指行为不可			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Vzwo5z6.html" rel="bookmark">C&plus;&plus;中const的运用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				(1)欲阻止一个变量被改变,可以使用const关键字.在定义该const变量时,通常需要对它进行初始化,因为以后就没有机会再去改变它了: (2)对指针来说,可以指定指针本身为const,也可以指定指针所指的数据为const,或二者同时指定为const: (3)在一个函数声明中,const可以修饰形参,表明它是一个输入参数,在函数内部不能改变其值: (4)对于类的成员函数,若指定其为const类型,则表明其是一个常函数,不能修改类的成员变量: (5)对于类的成员函数,有时候必须指定其返回值为con			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk2ZGEM.html" rel="bookmark">C语言中正确使用const</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				基本解释 const是一个C语言的关键字,它限定一个变量不允许被改变.使用const在一定程度上可以提高程序的健壮性,另外,在观看别人代码的时候,清晰理解const所起的作用,对理解对方的程序也有一些帮助. 虽然这听起来很简单,但实际上,const的使用也是c语言中一个比较微妙的地方,微妙在何处呢?请看下面几个问题. 问题:const变量 &amp; 常量 为什么我象下面的例子一样用一个const变量来初始化数组,ANSI C的编译器会报告一个错误呢? const int n = 5; int a[n]			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjD46p.html" rel="bookmark" class="title">w3c技术架构介绍</a>
					<div>
						w3c|架构 作者:阿宏 2006-2-10 9:38:04 原文:http://www.w3.org/Consortium/technology 原作者:w3c 翻译:阿宏 图例说明 W3C技术架构 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1825b.html" rel="bookmark" class="title">不用编程，得到一个用户QQ在线状态</a>
					<div>
						编程|在线 把下面代码另存为一个.htm文件就行了. &lt;script language=vbscript&gt; Function GetURL(url) Set Retrieval = Cre ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6gLYp.html" rel="bookmark" class="title">实站分享外链和收录不稳定我们如何应对</a>
					<div>
						对百度这样经常小更新和大更新,许多SEOER就开始非常不淡定了.特别是新手做站长的时候就非常不淡定.百度一些不稳定的小更新就让我们很多站长们开始纠结了.对于外链和收录不稳定情况问题,在各大SEO论坛当 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAOdZz.html" rel="bookmark" class="title">DQACP is missing Press Ctrl&plus;Alt&plus;Del to Restart</a>
					<div>
						错误描述: Windows Server 2008 R2的操作系统, 台式机 ThinkCentre M8400T 今天开机突然提示以下两行: DQACP is missing Press Ctrl+ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4dWNp.html" rel="bookmark" class="title">探讨C&plus;&plus;实现一个不可被继承的类</a>
					<div>
						C#和Java都提供了一种机制让一个类不能被继承,如C#中的sealed关键字和Java的final关键字,然而C++程序员就没这么好命了.不过C++也可以模拟出这种效果,原理基于:子类的构造函数会自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bal3NNz.html" rel="bookmark" class="title">护卫神php套件 php版本升级方法</a>
					<div>
						  这篇文章主要介绍了护卫神php套件 php版本升级方法(php5.5.24),需要的朋友可以参考下 最近小编开始学习研究win2008 r2的php环境配置,发现护卫神的php套件非常好用,安装简 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDA1Orb.html" rel="bookmark" class="title">C&plus;&plus;设计类不能被继承的方法实例讲解</a>
					<div>
						 在Java 中定义了关键字final,被final修饰的类不能被继承,C++中如何实现,下面我们来看一个例子 首先想到的是在C++中,子类的构造函数会自动调用父类的构造函数.同样,子类的析构函数也会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBnBYz.html" rel="bookmark" class="title">手动清除U盘使用痕迹方法</a>
					<div>
						清除U盘使用痕迹的方法有两种,一种是手动法,二是软件法,但是呢,网上很多朋友多说使用软件似乎没其多大作用.所以下面就将第一种方法如何操作做详细说明. 通过硬件检测软件获取到你的移动存储器的硬件编号,该 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6emWNb.html" rel="bookmark" class="title">摆平&lbrack;svn&rsqb;&lbrack;linux&rsqb;&lbrack;uuid&rsqb;不匹配的土鳖方法</a>
					<div>
						  在一个偶然的情况下,知道了关于[svn][linux][uuid]不匹配的问题,安装不成功,这可怎么办呢!要玩游戏却玩不了,所以今天所这个问题来看看有什么解决办法吧! 今天开始玩sina app  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3o6Jkb.html" rel="bookmark" class="title">设计模式简单总结</a>
					<div>
						  一 .创建型模式   1.1单例模式    设计原则:无    介绍:在整个应用中只有一个对象   1.2简单工厂   常用场景:需要在一堆产品中选择其中一个产品   介绍:通过工厂类去创建产品, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg32jAM.html" rel="bookmark" class="title">PHP 数据结构队列&lpar;SplQueue&rpar;和优先队列&lpar;SplPriorityQueue&rpar;简单使用实例&lowbar;php实例</a>
					<div>
						队列这种数据结构更简单,就像我们生活中排队一样,它的特性是先进先出(FIFO). PHP SPL中SplQueue类就是实现队列操作,和栈一样,它也可以继承双链表(SplDoublyLinkedLis ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqD3kb.html" rel="bookmark" class="title">type0004 md3-下载了nikon的SDK 请问Type0004&period;md3 是什么啊？？</a>
					<div>
						问题描述 下载了nikon的SDK 请问Type0004.md3 是什么啊?? 下载了nikon的SDK里面有NkdPTP.dll 和 Type0004.md3文件,请问Type0004.md3 是什 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAKYkM.html" rel="bookmark" class="title">面包含点-PostGresql SQL性能优化求助</a>
					<div>
						问题描述 PostGresql SQL性能优化求助 点表:create table point_p(flong float8flat float8userid int4);insert into po ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWZdOp.html" rel="bookmark" class="title">Alpha混合物体的深度排序&lbrack;译&rsqb;</a>
					<div>
						原文出处不详,我也是看到别人转的贴,觉得很有用! 若作者看到了,可以留言给我,我加上您的原文地址! 先说个题外话, 本来我想解答一下最近Creators Club论坛上经常出现的一个问题, 意外的是在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1r36jp.html" rel="bookmark" class="title">苹果申请新的多点触控专利 预示更薄的产品即将面世</a>
					<div>
						苹果在上星期申请了一种新型的多点触控http://www.aliyun.com/zixun/aggregation/17705.html&quot;&gt;技术专利. 该专利很明显出自苹果,其中描述了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7GqkM.html" rel="bookmark" class="title">传染病高发季来了！疾控中心专家教你最强防治攻略</a>
					<div>
						受访专家:中国疾控中心传防处研究员张静.中国疾控中心传染病预防控制所研究员孟凤霞.中国疾控中心免疫规划中心助理研究员岳晨妍 随着夏季来临,气温和湿度升高传染病多发季来了!夏季常见的传染病有肠道传染病以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydW9vb.html" rel="bookmark" class="title">php编程-php 下载问题下载图片不显示</a>
					<div>
						问题描述 php 下载问题下载图片不显示 我这样写的有问题吗?请指正function down_file($file_name$file_sub_dir) { //死去活来,演示下载一个图片 //如果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmyO8b.html" rel="bookmark" class="title">java-这个程序总是报错，求解答</a>
					<div>
						问题描述 这个程序总是报错,求解答 //以utf-8的格式读取文件 //文件--&gt;程序--&gt;字符数组 public static char[] get1(File fi)throws IO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRD2Yez.html" rel="bookmark" class="title">linux内核空间与用户空间信息交互方法</a>
					<div>
						     摘要:在进行设备驱动程序,内核功能模块等系统级开发时,通常需要在内核和用户程序之间交换信息.Linux提供了多种方法可以用来完成这些任务.本文总结了各种常用的信息交换方法,并用简单的例子演示 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRO3xb.html" rel="bookmark" class="title">中信银行网络银行产品丰富上线</a>
					<div>
						第1财金专讯(记者 崔峥) 今年以来,中信银行(601998,股吧)多措并举,打造优秀的http://www.aliyun.com/zixun/aggregation/12319.html&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1364z.html" rel="bookmark" class="title">比亚迪终结&OpenCurlyDoubleQuote;股神&rdquo;巴菲特神话？</a>
					<div>
						巴菲特与比亚迪于2008年结缘,巴菲特通过其投资的中美能源与比亚迪签署了策略性投资及股份认购协议,以每股港币8元的价格认购2.25亿股比亚迪的股份,约占比亚迪总股本的10%,交易总金额高达港币18亿元 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPk27vM.html" rel="bookmark" class="title">色情片中有哪些大数据</a>
					<div>
						色情电影 Jon Millward,一个专业的分析师,做过分析500个死囚行刑前的最后一句话等分析,每一个都十分引人注目.此次他通过半年的时间,看了近12万部色情作品,分析了超过10000名色情艳星的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Yxx9z.html" rel="bookmark" class="title">三分天下 垂直搜索凭&OpenCurlyDoubleQuote;黄金流量&rdquo;迅速崛起</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 据艾瑞市场咨询近日发布的报告显示, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xm0Rb.html" rel="bookmark" class="title">vista 系统 怎样获得是外置还是内置的麦克风在工作呢</a>
					<div>
						问题描述 请问斑竹还有大虾们怎么样获得麦克风的工作情况,去区分是内置还是外置的麦克风在工作呢?急相当的急 解决方案 解决方案二:路过帮顶=============11月6日,论坛升级公告,积分已经做了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqN2mb.html" rel="bookmark" class="title">《决战南京》韩雪扮相清纯演绎多面女间谍&lpar;图&rpar;</a>
					<div>
						&lt;决战南京&gt;剧照 &lt;决战南京&gt;韩雪清纯扮相 新浪娱乐讯 由陈宝国.韩雪.郭广平.潘虹.高明等主演的&lt;决战南京&gt;最近在江苏卫视和贵州卫视的黄金档热播.剧中韩雪饰演一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJ6NRp.html" rel="bookmark" class="title">埃里森从排斥到全力进军云计算</a>
					<div>
						三年前,甲骨文创始人兼CEO拉里·埃里森宣称&quot;云计算只是无聊的东西&quot;,现如今, 在IT大佬们纷纷在云计算市场跑马圈地之时,埃里森也终于高调宣布,&quot;我一直非常喜欢云计算&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6dNqM.html" rel="bookmark" class="title">【活动】寻觅优秀个人站长策划加盟51&period;com</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断淘宝客 站长团购 云主机 技术大厅 活动专题页面:http:/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Qe2Wp.html" rel="bookmark" class="title">qt实现倒计时示例&lowbar;C 语言</a>
					<div>
						用Qt写的倒计时程序,可根据指定时间作不同用途.创建Qt的简单GUI工程,修改main.cpp即可. 复制代码 代码如下: #include &lt;QApplication&gt;#include  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Zmj0z.html" rel="bookmark" class="title">jQuery中extend函数详解&lowbar;jquery</a>
					<div>
						在jQuery的API手册中,我们看到,extend实际上是挂载在jQuery和jQuery.fn上的两个不同方法,尽管在jQuery内部jQuery.extend()和jQuery.fn.exten ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2LvxM.html" rel="bookmark" class="title">美国O2O成功案例盘点，供各方参考</a>
					<div>
						O2O最基本的解释是通过线上引导流量去线下体验和消费,从这个宽泛的意义来说,分类信息网站.点评类网站.团购类网站.订餐类网站等网站类型都属于O2O范围. 其实在美国互联网界,并没有O2O的成熟说法.不 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
